<template>
	<view class="container">
		<view class="row b-b">
			<text class="tit">{{$t('set.a3')}}</text>
			<input class="input" v-model="account" disabled type="text" :placeholder="$t('reg.c3')" placeholder-class="placeholder" />
		</view>
		
		<view class="row b-b">
			<text class="tit">{{$t('safe.b3')}}</text>
			<input class="input" v-model="password" type="password" :placeholder="$t('safe.b4')" placeholder-class="placeholder" />
		</view>
		
		<view class="row b-b">
			<text class="tit">{{$t('safe.a7')}}</text>
			<input class="input" v-model="captcha" type="text" :placeholder="$t('safe.a6')" placeholder-class="placeholder" />
			<view class="code" @click="verification">{{ countDown == 0 ? '验证码' : countDown }}</view>
			
			
			
		</view>
	
		<button class="add-btn" :class="{'bg-gray':loding}" @click="loding?'':confirm()">{{$t('set.a5')}}</button>
	</view>
</template>

<script>
import { verify } from '@/api/login.js';
import { mapState } from 'vuex';
import { registerReset } from '@/api/set.js';
export default {
	data() {
		return {
			time: '', //保存倒计时对象
			countDown: 0, //倒计时
			account: '', //手机号
			captcha: '', //验证码
			password: '' ,//新密码
			loding:false,//是否载入中
		};
	},
	computed: {
		...mapState("user",['userInfo'])
	},
	onLoad() {
		if(this.userInfo.account == null){
			this.account = '';
		}else{
			this.account = this.userInfo.account;
			this.show = false;
		}
	},
	watch: {
		// 监听倒计时
		countDown(i) {
			if (i == 0) {
				clearInterval(this.time);
			}
		}
	},
	methods: {
		//发送验证码
		verification() {
			let obj = this;
			if (this.account == '') {
				this.$api.msg(obj.$t("reg.a3"));
				return;
			}
			if (!/(^1[3|4|5|7|8][0-9]{9}$)/.test(this.account)) {
				this.$api.msg(obj.$t("safe.b8"));
				return;
			} 
			// 判断是否在倒计时
			if (obj.countDown > 0) {
				return false;
			} else {
				obj.countDown = 60;
				obj.time = setInterval(() => {
					obj.countDown--;
				}, 1000);
				//调用验证码接口
				verify({
					phone: obj.account,
					type: ''
				})
					.then(({ data }) => {})
					.catch(err => {
						console.log(err);
					});
			}
		},
		confirm(e) {
			this.loding = true;
			registerReset({
				account: this.account,
				captcha: this.captcha,
				password: this.password,
			})
				.then(({ data }) => {
					this.loding = false;
					this.$api.msg(obj.$t("safe.d3"));
				})
				.catch(err => {
					this.loding = false;
					console.log(err);
				});
		}
	}
};
</script>

<style lang="scss">
page {
	background: #f3f3f3;
}
.row {
	display: flex;
	align-items: center;
	position: relative;
	padding: 0 30rpx;
	height: 110rpx;
	background: #fff;

	.tit {
		flex-shrink: 0;
		width: 120rpx;
		font-size: 30rpx;
		color: $font-color-dark;
	}
	.input {
		flex: 1;
		font-size: 30rpx;
		color: $font-color-dark;
	}
	.iconlocation {
		font-size: 36rpx;
		color: $font-color-light;
	}
}
.add-btn {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100rpx;
	margin: 60rpx auto;
	font-size: $font-lg;
	background-color: #FFF;
	border-radius: 10rpx;
	// box-shadow: 1px 2px 5px rgba(219, 63, 96, 0.4);
}

.bg-gray{
	background-color: $color-gray;
}
.code {
	color: #5dbc7c;
	font-size: 23rpx;
	border-left: 1px solid #eeeeee;
	width: 150rpx;
	flex-shrink: 0;
	text-align: center;
}
</style>
